
{: test that hex numbers that are too big cause a compilation error }

program e1003( output );

var
   i    : integer;
   pass : boolean;
begin

   if $7fffffff <> maxint then begin
      writeln( 'test invalid' );
   end
   else begin

      if $100000000 <> 1 then begin
         pass := false;
         writeln( 'hexnum overflow not detected' );
      end;

      if $800000000 <> 1 then begin
         pass := false;
         writeln( 'hexnum overflow not detected' );
      end;
   end;

end. { e1003 }

